CorebanqCorebanq Developer Docs
Customersv1Customer Links

Update Customer Link

PUT
/v1/customer-links/{id}

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token obtained from /v1/authenticate endpoint

In: header

Path Parameters

id*string

id path parameter

id*string

Customer-link UUID.

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

X side: exactly one of rec_type_x or rec_type_x_id.

X side: exactly one of rec_type_x or rec_type_x_id.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/customer-links/497f6eca-6276-4993-bfeb-53cbbbba6f08" \  -H "Content-Type: application/json" \  -d '{    "rec_idx": "fa292dda-ae2a-45ee-b97b-e8ab8329b907",    "rec_idy": "f9543843-55a0-4858-ae41-eb146ddf8536"  }'
{
  "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
  "rec_idx": "fa292dda-ae2a-45ee-b97b-e8ab8329b907",
  "rec_type_x": "5037db46-337a-4e82-97d6-129819a818a7",
  "rec_idy": "f9543843-55a0-4858-ae41-eb146ddf8536",
  "rec_type_y": "4f9a126c-2c2a-4b25-91ed-5614db497338",
  "created_at": "2019-08-24T14:15:22Z",
  "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
  "modified_at": "2019-08-24T14:15:22Z",
  "modified_by": "e8d4374d-93a1-4e98-a6c6-fdcf00c5059f",
  "active": true,
  "metadata": {}
}
{
  "status": 400,
  "message": "Bad request"
}
{
  "status": 401,
  "message": "Unauthorized"
}
{
  "status": 403,
  "message": "Forbidden"
}
{
  "status": 404,
  "message": "Not found"
}
{
  "status": 500,
  "message": "Internal server error"
}